//  dynamicka fronta
class DynF implements IZF {    
  private char q[];     //  array pro frontu  
  private int putloc, getloc;  //  put a get indexy  
    
  // vytvoreni prazdne fronty   
  public DynF(int size) {    
    q = new char[size+1]; // alokace pameti pro frontu  
    putloc = getloc = 0;    
  }    
   
  // Putznak do fronty.    
  public void put(char ch) {    
    if(putloc==q.length-1) {    
      // zvetsi velikost fronty
      char t[] = new char[q.length * 2]; 
 
      //kopiruje prvky do nove fronty
      for(int i=0; i < q.length; i++) 
        t[i] = q[i]; 
 
      q = t; 
    }    
        
    putloc++;    
    q[putloc] = ch;    
  }    
    
  // Get znak z fronty 
  public char get() {    
    if(getloc == putloc) {    
      System.out.println(" -- fronta je prazdna!!");    
      return (char) 0;     
    }    
      
    getloc++;    
    return q[getloc];    
  }    
}