class FixF implements IZF {    
  private char q[]; // array pro frontu 
  private int putloc, getloc; // put and get indexy    
    
  // vytvori prazdnou frontu delky size  
  public FixF(int size) {    
    q = new char[size+1]; // alokace pameti pro frontu   
    putloc = getloc = 0;    
  }    
   
  // Put znak do fronty    
  public void put(char ch) {    
    if(putloc==q.length-1) {    
      System.out.println(" -- Fronta je plna!!");    
      return;    
    }    
        
    putloc++;    
    q[putloc] = ch;    
  }    
    
  // Get znak z fronty  
  public char get() {    
    if(getloc == putloc) {    
      System.out.println(" -- Fronta je prazdna!!");    
      return (char) 0;     
    }    
      
    getloc++;    
    return q[getloc];    
  }    
}