class KruhF implements IZF {    
  private char q[]; //  array pro frontu   
  private int putloc, getloc; //  put a get indexy  
    
  // vytvoreni prazdne fronty
  public KruhF(int size) {    
    q = new char[size+1]; // alokace pameti pro frontu
    putloc = getloc = 0;    
  }    
   
  // Putznak do fronty   
  public void put(char ch) {    
    // Test plnosti fronty 
    if(putloc+1==getloc | 
       ((putloc==q.length-1) & (getloc==0))) {    
      System.out.println(" -- Fronta je plna!!");    
      return;    
    }    
        
    putloc++;    
    if(putloc==q.length) putloc = 0; //zkruhovani
    q[putloc] = ch;    
  }    
    
  // Get znak z fronty
  public char get() {    
    if(getloc == putloc) {    
      System.out.println(" -- fronta je prazdna!!");    
      return (char) 0;     
    }    
      
    getloc++;    
    if(getloc==q.length) getloc = 0; // zkruhovani
    return q[getloc];    
  }    
}