//******************************************************************************
//odvozena trida od CVirtPoint, definuje kruznici
//******************************************************************************

#ifndef VIRTCIRCLE_H
#define VIRTCIRCLE_H

#include "virtpoint.h"

class CVirtCircle : public CVirtPoint
{
protected:
	//polomer
	int m_nR; 
	//true - rosteme
	bool m_bGrowing;
public:
	CVirtCircle(int nInitX, int nInitY, int nR) : CVirtPoint(nInitX, nInitY)
	{
		m_nR = nR;
		m_bGrowing = true;
	}
	
	//zvetsi rozmery 
	virtual void Grow(int nE);

	//premisti objekt ve smeru [DirX,DirY], pokud objekt dosahne hranic zadane oblasti, dojde
	//k odrazu dle platnych odrazovych zakonu a [DirX, DirY] se zmeni + navic meni polomer
    virtual void Move(LPCRECT pRect);

	//zobrazi objekt na pozici [X,Y] do HDC zarizeni
	virtual void Draw(HDC hdc);    
};


#endif //VIRTCIRCLE_H