//******************************************************************************
// Bod obsahujici virtualni metody
//******************************************************************************

#ifndef VIRTPOINT_H
#define VIRTPOINT_H

#include "location.h"
#include <math.h>

class CVirtPoint : public CLocation
{
protected:
	//smerovy vektor, kudy se pohyba
	int m_nDirX;
	int m_nDirY;    
public:
	CVirtPoint(int nInitX, int nInitY) : CLocation(nInitX, nInitY)
	{
		m_nDirX = -2 + 6*rand() / RAND_MAX;
		m_nDirY = -2 + 6*rand() / RAND_MAX;
	}

	virtual ~CVirtPoint()
	{
		//nema zadnou funkcionalitu, virtualni kvuli potomkum
	}

	//premisti objekt na zadanou pozici
	inline void MoveTo(int nNewX, int nNewY)
	{
		m_nX = nNewX;
		m_nY = nNewY;
	}

	//premisti objekt ve smeru [DirX,DirY], pokud objekt dosahne hranic zadane oblasti, dojde
	//k odrazu dle platnych odrazovych zakonu a [DirX, DirY] se zmeni
    virtual void Move(LPCRECT pRect);

	//zobrazi objekt na pozici [X,Y] do HDC zarizeni
	virtual void Draw(HDC hdc);    
};

#endif //VIRTPOINT_H